# Cases

This object allows you to add cases to a borrower that are relevant to servicing
or collections. For example, a bankruptcy case. A borrower can have multiple
cases. If you enabled Compliance Guard monitoring feature, we'll create a new case
every time a borrower matches to one of the external data sources we use. For example,
if you monitor for active military, and we match one of your borrowers to
the SCRA (https://scra.dmdc.osd.mil/scra/) database we'll create a new case
with type=`militaryDuty`.


## List active case escalations for a company

 - [GET /active-escalations](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.escalations.handlers.case_open_escalations_get_by_company.md): List active case escalations for a company

## Get all cases

 - [GET /cases](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.list_cases_by_company.md): Get all cases. Returns only borrower-bound cases by default.

## Get borrower cases

 - [GET /people/{personId}/cases](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.list_cases_by_borrower.md): Get all cases associated with a borrower.

## Create borrower case

 - [POST /people/{personId}/cases](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.create_case.md): Create a new case and associate it with a borrower using their ID.

## Remove association

 - [DELETE /people/{personId}/cases/{caseId}](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.remove_case_association.md): Remove association of an existing case, interaction, loan, or file objects from the case.

## Get borrower case by ID

 - [GET /people/{personId}/cases/{caseId}](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.get_case_by_id.md)

## Add association

 - [POST /people/{personId}/cases/{caseId}](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.add_case_association.md): Associate an existing case, interaction, loan, or file objects to the case.
This way you can create comprehensive view of the case.

## Update case

 - [PUT /people/{personId}/cases/{caseId}](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.update_case.md): Update a case associated with a borrower.

## List case escalations

 - [GET /people/{personId}/cases/{caseId}/escalations](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.escalations.handlers.case_escalations_get.md): List case escalations

## Escalate or de-escalate a case

 - [POST /people/{personId}/cases/{caseId}/escalations](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.escalations.handlers.case_escalations_create.md): Escalate or de-escalate a case

## List case escalation by ID

 - [GET /people/{personId}/cases/{caseId}/escalations/{caseEscalationId}](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.escalations.handlers.case_escalation_get_by_id.md): List case escalations

## Snooze case

 - [POST /people/{personId}/cases/{caseId}/snooze](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.snooze_case.md): Snooze the case or cancel the case snooze.

## Mark a case as viewed

 - [POST /people/{personId}/cases/{caseId}/views](https://docs.peachfinance.com/api-docs/api-public/cases/peach.cases.handlers.view_case.md): Mark a case as viewed by the current user

